<template>
  <v-row>
    <v-col v-for="card in cards" :key="card.id" class="d-flex" style="flex-basis: 400px">
      <function-card :content="card" />
    </v-col>
  </v-row>
</template>

<script lang="ts">
import { defineComponent, PropType } from "vue";
import FunctionCard, { FunctionCardType } from "@/components/FunctionCard.vue";

export default defineComponent({
  components: { FunctionCard },
  props: {
    cards: {
      type: Object as PropType<Array<FunctionCardType>>,
      required: true,
    },
  },
});
</script>
